
ServerEvents.recipes(event => {
    const toRemoveOutput = ['thermal:machine_furnace', 'thermal:machine_sawmill', 
    'thermal:machine_pulverizer', 'thermal:machine_insolator', 'thermal:machine_centrifuge', 'thermal:machine_crucible', 'thermal:machine_chiller', 'thermal:machine_refinery',
    'thermal:machine_pyrolyzer', 'thermal:machine_bottler', 'thermal:machine_brewer', 'thermal:machine_crystallizer', 'thermal:machine_crafter', 'thermal:machine_smelter', 'thermal:machine_press', 
    'exnihilosequentia:flint_mesh', 'exnihilosequentia:iron_mesh', 'exnihilosequentia:diamond_mesh', 'exnihilosequentia:emerald_mesh', 'exnihilosequentia:netherite_mesh', 'exmachinis:gold_upgrade', 
    'exmachinis:diamond_upgrade', 'exmachinis:netherite_upgrade', 'exmachinis:flux_sieve', 'exmachinis:flux_hammer', 'exmachinis:flux_compactor', 
    'thermal:obsidian_glass', 'thermal:signalum_glass', 'thermal:lumium_glass', 'thermal:enderium_glass', 'thermal_extra:soul_infused_glass', 
    'thermal_extra:shellite_glass', 'thermal_extra:twinite_glass', 'thermal_extra:dragonsteel_glass', 'thermal:machine_frame', 'thermal:fluid_cell_frame', 
    'thermal:energy_cell_frame', 'thermal:earth_charge', 'thermal:ice_charge', 'thermal:lightning_charge', 'thermal:fluid_cell', 'thermal:energy_cell', 'ae2:inscriber',
    'ae2:vibration_chamber', 'ae2:silicon', 'ae2:controller', 'extreme:reactors_graphite_ingot', 'bigreactors:basic_reactorcasing','bigreactors:basic_reactorcontroller',
    'bigreactors:basic_reactorfuelrod', 'bigreactors:basic_reactorcontrolrod', 'bigreactors:reprocessorcasing','bigreactors:reprocessorcontroller',
    'bigreactors:fluidizercasing','bigreactors:fluidizercontroller', 'bigreactors:basic_turbinecasing','bigreactors:basic_turbinecontroller',
    'bigreactors:reinforced_turbinecasing','bigreactors:reinforced_turbinecontroller', 'bigreactors:reinforced_reactorcasing','bigreactors:reinforced_reactorcontroller',
    'bigreactors:reinforced_reactorfuelrod', 'bigreactors:reinforced_reactorcontrolrod', 'fluxnetworks:flux_dust', 'exnihilosequentia:end_cake',
    'systeams:steam_dynamo', 'systeams:stirling_boiler', 'systeams:lapidary_boiler', 'systeams:magmatic_boiler', 'systeams:numismatic_boiler',
    'systeams:compression_boiler', 'systeams:disenchantment_boiler', 'systeams:gourmand_boiler', 'systeams:boiler_pipe', 'thermal:energy_duct',
    'thermal:fluid_duct', 'thermal:fluid_duct_windowed', 'thermal:item_buffer'
];
    const toRemoveId = [//'thermal:signalum_dust_4', 'thermal:lumium_dust_4', 'thermal:enderium_dust_2', 
    //     'thermal:bronze_dust_4', 'thermal:electrum_dust_2', 'thermal:invar_dust_3', 'thermal:constantan_dust_2', 
        'thermal:slime_mushroom_spores', 'thermal_extra:sticky_ball_to_paper', 'farmersdelight:paper_from_tree_bark', 
        'create:pressing/sugar_cane', 'exnihilo:fluid_item/ens_slime', 'gtceu:shaped/good_circuit_board', 
        'thermal:rubber_from_vine', 'thermal:rubber_from_dandelion', 'thermal:smelting/cured_rubber_from_smelting', 
        'thermal:rf_coil', 'create:haunting/crimson_fungus', 'create:haunting/warped_fungus', 'create:compat/ae2/milling/sky_stone_block', 
        'create:compat/ae2/milling/fluix_crystal', 'create:compat/ae2/milling/ender_pearl', 'create:compat/ae2/milling/certus_quartz', 
        'create:crushing/raw_platinum_ore', 'create:crushing/raw_platinum_block', 'create:crushing/raw_uranium_ore', 
        'create:crushing/raw_uranium_block', 'create:crafting/appliances/slime_ball', 'minecraft:fire_charge'
    ];

    const toRemoveType = ['thermal:sawmill', 'thermal:pulverizer', 'thermal:insolator', 'thermal:centrifuge', 'thermal:crucible', 'thermal:chiller', 'thermal:refinery', 'thermal:pyrolyzer',
    'thermal:crystallizer', 'thermal:press', 'thermal:smelter'
    ];

    toRemoveOutput.forEach(element => {
        event.remove({output: element});
    });

    toRemoveId.forEach(element => {
        event.remove({id : element});
    });

    toRemoveType.forEach(element => {
        event.remove({type: element});
    });

    event.remove({input: 'minecraft:fire_charge'});

    event.remove({type : 'exnihilosequentia:sieve', input : '#forge:gravel'});
    event.remove({type : 'exnihilosequentia:sieve', input : 'exnihilosequentia:crushed_netherrack'});
    event.remove({type : 'exnihilosequentia:sieve', input : '#minecraft:sand'});
    event.remove({type : 'exnihilosequentia:sieve', input : 'minecraft:sand'});
    event.remove({type : 'exnihilosequentia:sieve', input : 'exnihilosequentia:dust'});
    event.remove({type : 'exnihilosequentia:sieve', input : 'minecraft:soul_sand'});
    event.remove({type : 'exnihilosequentia:sieve', input : 'exnihilosequentia:crushed_end_stone'});

    event.remove({id: /thermal:parts.*gear/});
    event.remove({id: /thermal_extra:parts.*gear/});
    event.remove({id: /thermalendergy:.*gear/});
    event.remove({id: /thermalendergy:.*dust/});
    event.remove({id: /thermal_extra:.*dust/});

    event.remove({id: /thermal_extra:.*dust.*/});
    event.remove({id: /thermal:.*dust.*/});

    event.remove({id: /thermal:smelting.*smelting/});
    event.remove({id: /thermal:smelting.*blasting/});
    event.remove({id: /thermal:smelting.*smelting/});
    event.remove({id: /thermal_extra:smelting.*blasting/});

    event.remove({output: /thermal:.*attachment/});

    event.remove({input: 'minecraft:fire_charge'});
    event.remove({input: 'thermal:earth_charge'});
    event.remove({mod: 'mysticalagriculture'});
    event.remove({mod: 'mysticalagradditions'});
    event.remove({mod: 'mysticaladaptations'});
    event.remove({mod: 'mobilebeacon'});
    event.remove({mod: 'extendedcrafting'});
    event.remove({mod: 'powersuits'});
    event.remove({mod: 'numina'});
    event.remove({mod: 'sgjourney'});
});